<?php

namespace Nest\Http;

/**
 * Typical content types.
 * A generic function shouldn't use it as an enforced parameters as content types can be fully customized.
 */
enum ContentType: string
{
	case Json = "application/json";
	case Text = "plain/text";
}
