<?php

namespace Nest\Http\Exceptions;

use Nest\Exceptions\Exception;

/**
 * An HTTP exception.
 */
abstract class HttpException extends Exception
{
	/**
	 * Get the HTTP status code to use when this exception is thrown.
	 * @return int Status code to return.
	 */
	public abstract function getStatusCode(): int;
}
