<?php

namespace Nest\Http\Exceptions;

use Nest\Http\StatusCode;

/**
 * HTTP server error exception.
 */
class ServerException extends HttpException
{
	/**
	 * @inheritDoc
	 */
	#[\Override] public function getStatusCode(): int
	{
		return StatusCode::InternalServerError->value;
	}
}
