<?php

namespace Nest\Http\Renderer;

/**
 * Renderer interface.
 */
interface Renderer
{
	/**
	 * Render a view with the given arguments.
	 * @param object $arguments View arguments.
	 * @return string Produced view.
	 */
	function render(object $arguments = new \stdClass()): string;
}
