<?php
/**
 * @var \Nest\Http\Exceptions\HttpException $exception
 */
?>

<html lang="en">
<head>
	<title><?= $exception->getErrorId() ?></title>
	<style>
		html, body
		{
			font-family: system-ui, sans-serif;
		}

		strong
		{
			display: block;
			margin: 1em auto;
			font-size: 1.5em;
			text-align: center;
		}

		pre
		{
			font-size: 1rem;
			font-family: monospace;
			text-align: center;
		}

		footer
		{
			margin: 4em auto;
			color: grey;
			font-size: 0.8em;
			text-align: center;
		}
	</style>
</head>
<body>

<strong>
	<span class="code"><?= $exception->getStatusCode() ?></span> <span class="id"><?= $exception->getErrorId() ?></span>
</strong>
<pre class="message"><?= $exception->getMessage() ?></pre>
<footer>
	Nest
</footer>

</body>
</html>
